## Struct template serializer_impl<T, std::enable_if_t< detail::is_compatible_type_v< T > and not is_serializable_array_type_v< T, serializer > and not json::detail::is_serializable_map_type_v< T, serializer > >>

zeep::json::serializer::serializer_impl<T, std::enable_if_t< detail::is_compatible_type_v< T > and not is_serializable_array_type_v< T, serializer > and not json::detail::is_serializable_map_type_v< T, serializer > >>

## Synopsis

    // In header: <zeep/json/serializer.hpp>

    template<typename T>
    struct serializer_impl<T, std::enable_if_t< detail::is_compatible_type_v< T > and not is_serializable_array_type_v< T, serializer > and not json::detail::is_serializable_map_type_v< T, serializer > >> {

      // public static functions
      static void serialize(const T &, element_type &);
    };

## Description

### `serializer_impl` public static functions

1.     static void serialize(const T & data, element_type & e);